package cc.fascinated.model.score.impl.scoresaber;

import cc.fascinated.model.score.Score;
import cc.fascinated.platform.Platform;
import lombok.Getter;

import java.util.Date;

/**
 * @author Fascinated (fascinated7)
 */
@Getter
public class ScoreSaberScore extends Score {
    /**
     * The weight of the score.
     */
    private final double weight;

    /**
     * The multiplier of the score.
     */

    private final double multiplier;
    /**
     * The maximum combo achieved in the score.
     */
    private final int maxCombo;

    /**
     * Gets the modified score.
     *
     * @return the modified score
     */
    public int getModifiedScore() {
        if (multiplier == 1) {
            return getScore();
        }
        return (int) (getScore() * multiplier);
    }

    public ScoreSaberScore(long id, String playerId, Platform.Platforms platform, String platformScoreId, String leaderboardId, int rank,
                           double accuracy, double pp, int score, String[] modifiers, int misses, int badCuts, Date timestamp,
                           double weight, double multiplier, int maxCombo) {
        super(id, playerId, platform, platformScoreId, leaderboardId, rank, accuracy, pp, score, modifiers, misses, badCuts, timestamp);
        this.weight = weight;
        this.multiplier = multiplier;
        this.maxCombo = maxCombo;
    }
}
