package cc.fascinated.model.score.impl.scoresaber;

import cc.fascinated.model.leaderboard.Leaderboard;
import cc.fascinated.model.user.User;
import cc.fascinated.model.user.UserDTO;
import cc.fascinated.platform.Platform;
import lombok.Getter;

import java.util.Date;

/**
 * @author Fascinated (fascinated7)
 */
@Getter
public class ScoreSaberScoreResponse extends ScoreSaberScore {
    /**
     * The user that set the score.
     */
    private final UserDTO user;

    /**
     * The leaderboard the score was set on.
     */
    private final Leaderboard leaderboard;

    public ScoreSaberScoreResponse(long id, String playerId, Platform.Platforms platform, String platformScoreId, String leaderboardId, int rank,
                                   double accuracy, double pp, int score, String[] modifiers, int misses, int badCuts, Date timestamp,
                                   double weight, double multiplier, int maxCombo, UserDTO user, Leaderboard leaderboard) {
        super(id, playerId, platform, platformScoreId, leaderboardId, rank, accuracy, pp, score, modifiers, misses, badCuts,
                timestamp, weight, multiplier, maxCombo);
        this.user = user;
        this.leaderboard = leaderboard;
    }
}
