package cc.fascinated.model.user;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.AllArgsConstructor;
import lombok.Getter;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.index.Indexed;

import java.util.UUID;

/**
 * @author Fascinated (fascinated7)
 */
@AllArgsConstructor
@Getter
public class UserDTO {
    /**
     * The ID of the user.
     */
    private final UUID id;

    /**
     * The username of the user.
     * <p>
     * Usually their Steam name.
     * </p>
     */
    private String username;

    /**
     * The ID of the users steam profile.
     */
    private String steamId;

    /**
     * The user's ScoreSaber account.
     */
    public ScoreSaberAccount scoresaberAccount;
}
