package cc.fascinated.model.user.statistic.impl;

import cc.fascinated.model.user.statistic.Statistic;
import lombok.Getter;

/**
 * @author Fascinated (fascinated7)
 */
@Getter
public class ScoreSaberStatistic extends Statistic {
    /**
     * The total score of the player.
     */
    private final long totalScore;

    /**
     * The total ranked score of the player.
     */
    private final long totalRankedScore;

    /**
     * The average ranked accuracy of the player.
     */
    private final double averageRankedAccuracy;

    /**
     * The total play count of the player.
     */
    private final int totalPlayCount;

    public ScoreSaberStatistic(int rank, int countryRank, long totalScore, long totalRankedScore, double averageRankedAccuracy, int totalPlayCount) {
        super(rank, countryRank);
        this.totalScore = totalScore;
        this.totalRankedScore = totalRankedScore;
        this.averageRankedAccuracy = averageRankedAccuracy;
        this.totalPlayCount = totalPlayCount;
    }
}
